Bug 249555 - net-im/dino: update and unbreak build
Summary: net-im/dino: update and unbreak build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-23 21:03 UTC by Ivan Rozhuk
Modified: 2020-09-25 19:32 UTC (History)
1 user (show)

See Also:
ashish: maintainer-feedback+


Attachments
patch (1.78 KB, patch)
2020-09-23 21:03 UTC, Ivan Rozhuk
no flags Details | Diff
patch (1.78 KB, patch)
2020-09-23 21:05 UTC, Ivan Rozhuk
no flags Details | Diff
patch (1.78 KB, patch)
2020-09-23 21:06 UTC, Ivan Rozhuk
no flags Details | Diff
patch (3.17 KB, patch)
2020-09-25 00:53 UTC, Ivan Rozhuk
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2020-09-23 21:03:36 UTC
Created attachment 218221 [details]
patch

Update to 0.1.0.20200919 and disable ALPN to allow build with glib >= 2.60
Comment 1 Ivan Rozhuk 2020-09-23 21:05:27 UTC
Created attachment 218222 [details]
patch

forgot signalapp-libsignal-protocol-c-v2.3.3_GH0.tar
Comment 2 Ivan Rozhuk 2020-09-23 21:06:57 UTC
Created attachment 218223 [details]
patch
Comment 3 Ashish SHUKLA freebsd_committer 2020-09-24 19:56:15 UTC
Could you update your diff providing the pkg-plist changes ?


===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/locale/cs/LC_MESSAGES/dino-omemo.mo
Error: Orphaned: share/locale/cs/LC_MESSAGES/dino-openpgp.mo
Error: Orphaned: share/locale/cs/LC_MESSAGES/dino.mo
Error: Orphaned: share/locale/ko/LC_MESSAGES/dino.mo
Error: Orphaned: share/locale/pt/LC_MESSAGES/dino-omemo.mo
Error: Orphaned: share/locale/pt/LC_MESSAGES/dino-openpgp.mo
Error: Orphaned: share/locale/pt/LC_MESSAGES/dino.mo
===> Checking for items in pkg-plist which are not in STAGEDIR

Thanks!
Comment 4 Ivan Rozhuk 2020-09-25 00:53:02 UTC
Created attachment 218271 [details]
patch
Comment 5 commit-hook freebsd_committer 2020-09-25 19:31:17 UTC
A commit references this bug:

Author: ashish
Date: Fri Sep 25 19:31:06 UTC 2020
New revision: 550072
URL: https://svnweb.freebsd.org/changeset/ports/550072

Log:
  - Update port to git snapshot 7b58c15

  PR:		249555
  Submitted by:	rozhuk dot im at gmail dot com

Changes:
  head/net-im/dino/Makefile
  head/net-im/dino/distinfo
  head/net-im/dino/pkg-plist
Comment 6 Ashish SHUKLA freebsd_committer 2020-09-25 19:32:43 UTC
I have removed the ALPN post-patch part, as it's not needed anymore, thanks to lang/vala upgrade. Rest of it's committed, thanks!

Ashish